Ubuntu

python-httplib2 needs a patch for Python2.6 support

Reported by Zeev Tarantov on 2009-03-01
44
This bug affects 1 person
Affects Status Importance Assigned to Milestone
launchpadlib
High
Unassigned
python-httplib2 (Ubuntu)
Medium
Luca Falavigna

Bug Description

Binary package hint: python-httplib2

Upstream bug:
http://code.google.com/p/httplib2/issues/detail?id=39

Upstream commit:
http://code.google.com/p/httplib2/source/detail?r=275

Please include in Ubuntu Jaunty version until next upstream release. This is important because Jaunty just upgraded the python package to 2.6.

Pedro Villavicencio (pedro) wrote :

Thanks for your report, yes it's broken since the update to 2.6, which causes the launchpadlib to not work, setting to Triaged and Assign it to the maintainer, thanks in advance!.

Changed in python-httplib2:
assignee: nobody → james-w
importance: Undecided → Medium
status: New → Triaged
Luca Falavigna (dktrkranz) wrote :

<james_w> DktrKranz: feel free to upload :-)

Changed in python-httplib2:
assignee: james-w → dktrkranz
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-httplib2 - 0.4.0-0ubuntu2

---------------
python-httplib2 (0.4.0-0ubuntu2) jaunty; urgency=low

  * httplib2/__init__.py: apply upstream patch to fix a deprecation
    warning and a timeout error with Python 2.6. Upstream commit is here:
    http://code.google.com/p/httplib2/source/detail?r=275 (LP: #336067).

 -- Luca Falavigna <email address hidden> Mon, 02 Mar 2009 23:39:02 +0100

Changed in python-httplib2:
status: Triaged → Fix Released
Changed in launchpadlib:
importance: Undecided → High
status: New → Triaged
Robert Collins (lifeless) wrote :

What does launchpadlib need to do here?

Changed in launchpadlib:
status: Triaged → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers